MacOS Mojave compatibility 

 

Antelope Audio products who are using the Antelope Launcher software are now compatible with Mac OS Mojave 10.14. Not fully compatible are older products and legacy devices such as Orion 32, Zen Studio, MP32, Satori, Eclipse, Zodiacs,